CVE-2008-5503

NameCVE-2008-5503
DescriptionThe loadBindingDocument function in Mozilla Firefox 2.x before 2.0.0.19, Thunderbird 2.x before 2.0.0.19, and SeaMonkey 1.x before 1.1.14 does not perform any security checks related to the same-domain policy, which allows remote attackers to read or access data from other domains via crafted XBL bindings.
SourceCVE (at NVD; oss-sec, fulldisc, OSVDB, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, more)
ReferencesDSA-1696-1, DSA-1697-1, DSA-1704-1, DSA-1707-1
NVD severitylow (attack range: remote)
Debian/oldstablenot vulnerable.
Debian/stablenot vulnerable.
Debian/testingnot vulnerable.
Debian/unstablenot vulnerable.

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
iceape (PTS)squeeze (security)2.0.11-17fixed
icedove (PTS)squeeze (security), squeeze3.0.11-1+squeeze15fixed
wheezy31.3.0-1~deb7u1fixed
wheezy (security)31.5.0-1~deb7u1fixed
jessie, sid31.5.0-1fixed
iceweasel (PTS)squeeze (security), squeeze3.5.16-20fixed
wheezy31.3.0esr-1~deb7u1fixed
wheezy (security)31.5.3esr-1~deb7u1fixed
jessie, sid31.5.3esr-1fixed
xulrunner (PTS)wheezy, wheezy (security)24.8.1esr-2~deb7u1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
iceapesource(unstable)1.1.13-1low
iceapesourceetch1.0.13~pre080614i-0etch1lowDSA-1697-1
icedovesource(unstable)2.0.0.19-1low
icedovesourceetch1.5.0.13+1.5.0.15b.dfsg1+prepatch080614i-0etch1lowDSA-1696-1
iceweaselsource(unstable)3.0.1-1low
iceweaselsourceetch2.0.0.19-0etch1lowDSA-1707-1
xulrunnersource(unstable)1.9.0.1-1low
xulrunnersourceetch1.8.0.15~pre080614i-0etch1lowDSA-1704-1

Notes

JavaScript for mails is disabled by default and if users enable it ...

Search for package or bug name: Reporting problems